commit:     a689dc27e45ceca1d5a00b8f40818ca16f0496a5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 31 09:41:50 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 31 09:41:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a689dc27

net-misc/stuntman: respect AR, CXX

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/stuntman/stuntman-1.2.16.ebuild | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/net-misc/stuntman/stuntman-1.2.16.ebuild 
b/net-misc/stuntman/stuntman-1.2.16.ebuild
index ceea617f4d7..6cf50090706 100644
--- a/net-misc/stuntman/stuntman-1.2.16.ebuild
+++ b/net-misc/stuntman/stuntman-1.2.16.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=7
 
+inherit toolchain-funcs
+
 DESCRIPTION="Open source implementation of the STUN protocol"
 HOMEPAGE="http://www.stunprotocol.org";
 SRC_URI="http://www.stunprotocol.org/stunserver-${PV}.tgz";
@@ -10,7 +12,6 @@ SRC_URI="http://www.stunprotocol.org/stunserver-${PV}.tgz";
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
 RDEPEND="
        dev-libs/openssl:0=
@@ -22,9 +23,15 @@ DEPEND="${RDEPEND}
 S="${WORKDIR}/stunserver"
 
 src_compile() {
+       tc-export AR CXX
+
        emake T=""
 }
 
+src_test() {
+       ./stuntestcode || die
+}
+
 src_install() {
        dobin stunclient
        dosbin stunserver
@@ -32,7 +39,3 @@ src_install() {
        newinitd "${FILESDIR}/${PN}.initd" ${PN}
        newconfd "${FILESDIR}/${PN}.confd" ${PN}
 }
-
-src_test() {
-       ./stuntestcode
-}

Reply via email to